qqPlotView-class {MVCClass} | R Documentation

## Class "qqPlotView": A class to represent a qq-plot

### Description

qqPlotView is a class to represent a qq-plot. For now, this class will be used to create qq-plot views of gene set enrichment data (stored in the gseModel). qqPlotView inherits from the class, plotView, which inherits from the virtual class, genView.

### Objects from the Class

Objects can be created by calls of the form `new("qqPlotView", ...)`. The initialize method for this class will be created in other packages that use this package (for example, the initialize method will be created in the iSNetwork package).

### Slots

`xval`:
  the x values for the points plotted
`yval`:
  the y values for the points plotted
`plotDevice`:
  the plot device number
`plotPar`:
  the parameter list for the plot, see par()
`drArea`:
  an object of class `"GtkDrawingArea"`
`dataName`:
  a character string describing what data are shown in the view
`win`:
  an object of class `"GtkWindow"` that holds the view
`winNum`:
  a number that tells what number view this is (for example, the first view created will have winNum=1)

### Extends

Class `"plotView"`, directly. Class `"genView"`, by class `"plotView"`.

### Methods

xval<-
  Sets the `xval` slot
xval
  Returns the `xval` slot
yval<-
  Sets the `yval` slot
yval
  Returns the `yval` slot

### Author(s)

Elizabeth Whalen

### See Also

`genView-class`, `plotView-class`, `sPlotView-class`

### Examples

[Package MVCClass version 1.10.0 Index]